## wxWindowDisabler

This class disables all windows of the application (may be with the exception of one of them) in its constructor and enables them back in its destructor. This comes in handy when you want to indicate to the user that the application is currently busy and cannot respond to user input.

Derived from

None

Include files

<wx/utils.h>

See also

wxBusyCursor

Members

wxWindowDisabler::wxWindowDisabler
wxWindowDisabler::~wxWindowDisabler

### wxWindowDisabler::wxWindowDisabler

wxWindowDisabler(wxWindow *winToSkip = NULL)

Disables all top level windows of the applications with the exception of winToSkip if it is not `NULL`.

### wxWindowDisabler::~wxWindowDisabler

~wxWindowDisabler()

Reenables back the windows disabled by the constructor.